"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Player {
    constructor(_socket) {
        this._socket = _socket;
        this.score = 0;
        this.name = 'Player#' + Math.floor(Math.random() * 10000);
        this.position = {
            x: Math.random() * 1000 - 500,
            y: Math.random() * 1000 - 500,
        };
        this.color = '#690000';
        this.health = Math.floor(Math.random() * 50) + 50;
        this.damage = 10;
        this.defence = 0;
        this.keysPressed = new Map();
    }
    addScore() {
        this.score++;
    }
    getScore() {
        return this.score;
    }
    get socket() {
        return this._socket;
    }
    setName(name) {
        this.name = name;
    }
    getName() {
        return this.name;
    }
    keyAction(key, isDown) {
        this.keysPressed.set(key, isDown);
    }
    getDamage() {
        return this.damage;
    }
    getDefence() {
        return this.defence;
    }
    setDamage(damage) {
        this.damage += damage;
    }
    setDefence(defence) {
        this.defence += defence;
    }
    getHealth() {
        return this.health;
    }
    takeDamage(damage) {
        this.health -= damage;
    }
    getPlayerDescription() {
        return {
            name: this.name,
            color: this.color,
            position: this.position,
            id: this.socket.id,
            health: this.health,
            damage: this.damage,
            defence: this.defence,
            keysPressed: this.keysPressed
        };
    }
    setHealth(hp) {
        this.health = hp;
    }
    setPosition(x, y) {
        this.position.x = x;
        this.position.y = y;
    }
    getPosition() {
        return {
            x: this.position.x,
            y: this.position.y,
        };
    }
}
exports.default = Player;
//# sourceMappingURL=Player.js.map