"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Players {
    constructor() {
        this.players = [];
    }
    addPlayer(id, player) {
        this.players.push({
            socketID: id,
            player: player
        });
    }
    removePlayer(id) {
        this.players = this.players.filter((player) => {
            return player.socketID !== id;
        });
    }
    takeDamage(id, damage) {
        for (let player of this.players) {
            if (player.socketID === id) {
                player.player.takeDamage(damage);
                if (player.player.getHealth() <= 0) {
                    player.player.socket.emit('ded');
                    player.player.socket.disconnect();
                    return player.player.getHealth();
                }
                return player.player.getHealth();
            }
        }
    }
    getPlayer(id) {
        return this.players.find((player) => {
            return player.socketID === id;
        });
    }
    getPlayers() {
        let playerList = [];
        for (let player of this.players) {
            playerList.push(player.player);
        }
        return playerList;
    }
    updatePlayerPosition(id, position) {
        for (let player of this.players) {
            if (player.socketID === id) {
                player.player.setPosition(position.x, position.y);
            }
        }
    }
}
exports.default = Players;
//# sourceMappingURL=Players.js.map